Group
Extension

OpenAPI-Client-OpenAI/lib/OpenAPI/Client/OpenAI/Path/organization-projects-project_id-certificates-deactivate.pod

=encoding utf8

=head1 NAME

OpenAPI::Client::OpenAI::Path::organization-projects-project_id-certificates-deactivate - Documentation for the /organization/projects/{project_id}/certificates/deactivate path.

=head1 DESCRIPTION

This document describes the API endpoint at C</organization/projects/{project_id}/certificates/deactivate>.

=head1 PATHS


=head2 C<POST /organization/projects/{project_id}/certificates/deactivate>

Deactivate certificates for project


Deactivate certificates at the project level. You can atomically and 
idempotently deactivate up to 10 certificates at a time.



=head3 Operation ID

C<deactivateProjectCertificates>

    $client->deactivateProjectCertificates( ... );

=head3 Parameters

=over 4

=item * C<project_id> (in path) (Required) - The ID of the project.

Type: C<string>



=back

=head3 Request Body
  
=head3 Content Type: C<application/json>

    
      

      
      
Example:

    {
       "certificate_ids" : [
          "cert_abc"
       ]
    }


             

=head3 Responses


=head4 Status Code: C<200>

Certificates deactivated successfully.


=head4 Content Types:

=over 4


=item * C<application/json>

Example (See the L<OpenAI spec for more detail|https://github.com/openai/openai-openapi/blob/master/openapi.yaml>):

    {
       "data" : [
          "{\n  \"object\": \"certificate\",\n  \"id\": \"cert_abc\",\n  \"name\": \"My Certificate\",\n  \"created_at\": 1234567,\n  \"certificate_details\": {\n    \"valid_at\": 1234567,\n    \"expires_at\": 12345678,\n    \"content\": \"-----BEGIN CERTIFICATE----- MIIGAjCCA...6znFlOW+ -----END CERTIFICATE-----\"\n  }\n}\n"
       ],
       "first_id" : "cert_abc",
       "last_id" : "cert_abc"
    }


=back

=head1 SEE ALSO

L<OpenAPI::Client::OpenAI::Path>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2023-2025 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.14.0 or,
at your option, any later version of Perl 5 you may have available.

=cut

Powered by Groonga
Maintained by Kenichi Ishigaki <ishigaki@cpan.org>. If you find anything, submit it on GitHub.